/* mfaim
 * Copyright (c) 1999 Josh Myer <josh@joshisanerd.com>
 * console-mode AIM client
 *
 * mfaim is based on naim;
 *  naim is Copyright (c) 1998, 1999 Daniel Reed <n@ml.org>
 * 
 * mfaim also uess libfaim,
 *  FAIM is Copyright 1998 Adam Fritzler <afritz@iname.com>
 *  FAIM uses code Copyright 1998 Brock Wilcox <awwaiid@iname.com>
 */

#ifndef nfaim_h
#define nfaim_h	1

#include <faim/aim.h>

#define nFAIM_HANDLER(func) int func (struct aim_session_t *sess, struct command_rx_struct *command, ...)

/* aimio.h */
nFAIM_HANDLER(mfaim_redirect_handle);
nFAIM_HANDLER(mfaim_serverready_handle);
nFAIM_HANDLER(mfaim_auth_success);
nFAIM_HANDLER(mfaim_motd);
nFAIM_HANDLER(mfaim_buddy_coming);
nFAIM_HANDLER(mfaim_buddy_going);
nFAIM_HANDLER(mfaim_im_handle);
nFAIM_HANDLER(mfaim_userinfo_handler);
nFAIM_HANDLER(mfaim_handler_loc_error);
nFAIM_HANDLER(mfaim_handler_msg_missed);
nFAIM_HANDLER(mfaim_handler_ratechange);
nFAIM_HANDLER(mfaim_handler_msg_error);
nFAIM_HANDLER(mfaim_chatsvrready);
nFAIM_HANDLER(mfaim_chat_incomingmsg);
nFAIM_HANDLER(mfaim_chat_infoupdate);
nFAIM_HANDLER(mfaim_chat_leave);
nFAIM_HANDLER(mfaim_chat_join);
nFAIM_HANDLER(mfaim_chatnav_info);

#endif /* nfaim_h */
